import Tunnel from './Tunnel';
import { TunnelOptions } from './types';
interface LegacyCallback {
    (err: Error | null, tunnel?: Tunnel): void;
}
declare function localtunnel(port: number, options?: Omit<TunnelOptions, 'port'>, callback?: LegacyCallback): Promise<Tunnel>;
declare function localtunnel(options: TunnelOptions, callback?: LegacyCallback): Promise<Tunnel>;
export = localtunnel;
